# Interface ReadsQuery<R extends HtsRecord>

All Known Subinterfaces:
  `ReadsDecoder`

All Known Implementing Classes:
  `BAMDecoder, BAMDecoderV1_0, CRAMDecoder, CRAMDecoderV2_1, CRAMDecoderV3_0, CRAMDecoderV3_1, HtsgetBAMDecoder, HtsgetBAMDecoderV1_2, SAMDecoder, SAMDecoderV1_0`

public interface ReadsQuery<R extends HtsRecord>
Query methods specific to `ReadsDecoder`s.

## Method Summary

Modifier and Type
Method
Description
`Optional<R>`
`queryMate(R record)`
Fetch the mate for the given read.
`CloseableIterator<R>`
`queryUnmapped()`
Get an iterator of unmapped reads.

## Method Details

### queryUnmapped

CloseableIterator<R> queryUnmapped()
Get an iterator of unmapped reads.

### queryMate

Optional<R> queryMate(R record)
Fetch the mate for the given read.

Parameters:
  `record` - the source record
Returns:
  the source record's mate, or Optional.empty() if the source record has no mate